summaryrefslogtreecommitdiff
path: root/UNI/baselines/cpu/run.sh
diff options
context:
space:
mode:
authorBirte Friesel <dfriesel@uos.de>2023-07-26 17:55:54 +0200
committerBirte Friesel <dfriesel@uos.de>2023-07-26 17:55:54 +0200
commitc4dae8a92fc6c9bfa48c5d5085a0dcc96fe9e645 (patch)
tree315f59f61a8e06ea4931f677141acb1435529aca /UNI/baselines/cpu/run.sh
parent16c8347eac0e9650570aadf958c8a04a594a9c35 (diff)
update config space
Diffstat (limited to 'UNI/baselines/cpu/run.sh')
-rwxr-xr-xUNI/baselines/cpu/run.sh8
1 files changed, 6 insertions, 2 deletions
diff --git a/UNI/baselines/cpu/run.sh b/UNI/baselines/cpu/run.sh
index 0f376df..8bfa629 100755
--- a/UNI/baselines/cpu/run.sh
+++ b/UNI/baselines/cpu/run.sh
@@ -15,11 +15,15 @@ echo "Revision $(git describe --always)"
# default: int64_t; -t 4 -i 1258291200
for nr_threads in 88 64 44 1 2 4 6 8 12 16 20 24 32; do
- for i in 19660800 1258291200 629145600 314572800 157286400 78643200 39321600; do
+ # 1258291200 : default
+ # 251658240 : strong-full
+ # 3932160 : strong-rank
+ for i in 1258291200 251658240 3932160; do
#for dt in int8_t int16_t int32_t int64_t float double; do
for dt in int64_t; do
if make -B TYPE=${dt}; then
- timeout --foreground -k 1m 60m ./uni -i ${i} -w 0 -e 100 -t ${nr_threads} || true
+ timeout --foreground -k 1m 60m ./uni -i ${i} -w 0 -e 50 -t ${nr_threads} || true
+ sleep 10
fi
done
done